/**
 * This file is a part of VideoCut package.
 * ---------------------------------------------------------------------- 
 * Copyright (C) 2007-2008 troorl
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * ---------------------------------------------------------------------- 
 *
 * @author troorl <troorl@gmail.com>
 */

#ifndef _TGRAPHITEM_H_
#define _TGRAPHITEM_H_

#include "../const.h"
#include <QGraphicsItem>
#include <QPen>
#include <QPainter>
#include <QImage>
#include <QBitmap>

class TGraphItem : public QGraphicsItem
{
public:
    TGraphItem(QImage &p, int style, qreal scale, QString);
	TGraphItem(){};
    void paint(QPainter *painter, const QStyleOptionGraphicsItem *option,
               QWidget *widget);
    QRectF boundingRect() const;
	void scale(qreal);

	void setItemTextPos(uint);
	void drawTimestamps(QPainter *);
	void adjustTimestamps();
	void setStyle(int);
    //varable styles of paint
    void paint0(QPainter *painter);
    void paint1(QPainter *painter);
	

private:
    QImage *p;
	QString timeText;
    int w_s, h_s;
	int pix_w, pix_h;
    int style;
	uint textPos;
	uint shadowSize;
	
	int tmst_offset;
	
    QRect bound;
	QRectF boundRect, pixRect, realPixRect;
	QRectF shadowRect; //for paint0 only!!!!
	QRect textRect1, textRect2;
	
	QPen shadowPen;
	QFont timeFont;
};

#endif
